### Method

# Adw NavigationViewset_pop_on_escape

since: 1.4

#### Declaration [src]

    void
    adw_navigation_view_set_pop_on_escape (
      AdwNavigationView* self,
      gboolean pop_on_escape
    )

#### Description [src]

Sets whether pressing Escape pops the current page on `self`.

Applications using `AdwNavigationView` to implement a browser may want to disable it.

Available since: 1.4

Sets property | `Adw.NavigationView:pop-on-escape`

#### Parameters

`pop_on_escape`

  Type: `gboolean`

  Whether to pop the current page when pressing Escape.